import java.io.*;
import com.lowagie.text.DocumentException;
import org.xhtmlrenderer.pdf.ITextRenderer;
import org.xhtmlrenderer.pdf.ITextFontResolver;
import org.xhtmlrenderer.pdf.ToPDF;
import org.xhtmlrenderer.util.XRRuntimeException;
import java.io.ByteArrayOutputStream;
import javax.mail.internet.MimeUtility;
import javax.mail.MessagingException;

public class PdfConverter {

    private ByteArrayOutputStream SystemError = new ByteArrayOutputStream();

    public PdfConverter(){
        System.setProperty("java.awt.headless", "true");
        System.setErr(new PrintStream(SystemError, true));
    }

    public String Convert(final String htmlCode)
                    throws MessagingException, IOException, DocumentException, XRRuntimeException {

        ByteArrayOutputStream bout = new ByteArrayOutputStream();
        ITextRenderer renderer = new ITextRenderer();

        //get true type fonts from font directory and add them to the renderer
        String fontDir = System.getenv("EPAGES_CARTRIDGES") + "/DE_EPAGES/Core/Data/Fonts";
        File dir = new File(fontDir);
        if(dir.exists()){
            String[] fontList = dir.list();
            ITextFontResolver resolver = renderer.getFontResolver();
            for (int i = 0; i < fontList.length; i++) {
                //Add fonts using the Unicode encoding with horizontal writing.
                //http://api.itextpdf.com/com/itextpdf/text/pdf/BaseFont.html
                resolver.addFont(fontDir + "/" + fontList[i], "Identity-H", true);
            }
        }

        //generate pdf output from from html string
        try {
            renderer.setDocumentFromString(htmlCode);
            renderer.layout();
            renderer.createPDF(bout);
        } catch (XRRuntimeException ex){
            throw new XRRuntimeException(SystemError.toString());
        }

        //convert pdf output to base64 string
        byte[] b = bout.toByteArray();
        ByteArrayOutputStream baos = new ByteArrayOutputStream();
        OutputStream b64os = MimeUtility.encode(baos, "base64");
        b64os.write(b);
        b64os.close();
        return new String(baos.toByteArray());
    }
}