IF OBJECT_ID('i_DHLProdListAttribute') IS NOT NULL
    DROP PROCEDURE i_DHLProdListAttribute
GO
CREATE PROCEDURE i_DHLProdListAttribute (
    @DHLProdListAtrributeID int          = null
,   @AttributeID          int          
,   @CurrencyID           varchar(3)   = null
,   @DHLProductListID     int          = null
,   @Name                 varchar(255) = null
,   @MaxAmountEUR         money        = null
) AS BEGIN
    DECLARE @TransactionCount int
    SELECT @TransactionCount = @@trancount

    IF @TransactionCount > 0 SAVE  TRANSACTION ti_dhlprodlistattribute
    ELSE                     BEGIN TRANSACTION ti_dhlprodlistattribute

        IF @DHLProdListAtrributeID IS NULL SELECT @DHLProdListAtrributeID = 1 + max(dhlprodlistatrributeid) FROM dhlprodlistattribute HOLDLOCK
        IF @DHLProdListAtrributeID IS NULL SELECT @DHLProdListAtrributeID = 1

        INSERT INTO dhlprodlistattribute
               ( dhlprodlistatrributeid, attributeid, currencyid, dhlproductlistid, name, maxamounteur)
        SELECT  @DHLProdListAtrributeID,@AttributeID,@CurrencyID,@DHLProductListID,@Name,@MaxAmountEUR

        IF NOT @@transtate IN (0, 1)
        BEGIN
            ROLLBACK TRANSACTION ti_dhlprodlistattribute
            RETURN 1
        END

        SELECT @DHLProdListAtrributeID

    IF @TransactionCount = 0
        COMMIT TRANSACTION ti_dhlprodlistattribute
    RETURN 0
END
GO
