/*
 * @copyright		© Copyright 2006-2010, epages GmbH, All Rights Reserved.
 *
 * @module			ep.fn.contextOrientation
 *
 * @revision		$Revision: 1.2.2.2 $
 */

jQuery.plugin( 'ep.fn.contextOrientation', 'ep.core', function( $, undefined ){

	var xExpr = /(left|center|right)/,
		yExpr = /(top|middle|bottom)/;

	ep.fn.extend({
		contextOrientation: function( context, orient, adjust ){
			adjust = adjust || [0,0];

			var orientX = xExpr.exec(orient),
				orientY = yExpr.exec(orient);

			orientX = orientX ? orientX[1] : '';
			orientY = orientY ? orientY[1] : '';

			if( context instanceof $.Event ){
				var contextO = { left:context.pageX, top:context.pageY },
					contextW = 0,
					contextH = 0;
			}
			else{
				context = $(context);
				var contextO = context.offset(),
					contextW = context.outerWidth(),
					contextH = context.outerHeight();
			}

			return this.each(function(){
					var elem = $(this),
						elemW = elem.outerWidth(),
						elemH = elem.outerHeight(),
						pos = contextO;

					switch( orientX ){
						case 'right':
							pos.left += contextW + adjust[0];
						break;
						case 'left':
							pos.left -= elemW + adjust[0];
						break;
						case 'center':
							pos.left += (contextW/2) - (elemW/2) + adjust[0];
						break;
						default:
							pos.left += adjust[0];
						break;
					}
					switch( orientY ){
						case 'bottom':
							pos.top += contextH + adjust[1];
						break;
						case 'top':
							pos.top -= elemH + adjust[1];
						break;
						case 'middle':
							pos.top += (contextH/2) - (elemH/2) + adjust[1];
						break;
						default:
							pos.top += adjust[1];
						break;
					}
					elem.css({
						'position':	'absolute',
						'top':		pos.top,
						'left':		pos.left
					});
				});
		}
	});

});