/*
 * @copyright		© Copyright 2006-2010, epages GmbH, All Rights Reserved.
 *
 * @module			ep.fn.equal
 *
 * @revision		$Revision: 1.1.6.3 $
 */

jQuery.plugin( 'ep.fn.equal', ['ep.core', 'jQuery.fn.size'], function( $, undefined ){

	$.each([ 'Height', 'Width' ], function( i, Name ){
		// Height => height
		var name = Name.toLowerCase();

		$.each([ '', 'Inner', 'Outer' ], function( j, Type ){
			// Outer => outer
			var type = Type.toLowerCase();
			// ep.fn[ 'equal' + 'Outer' + 'Height' ]
			ep.fn[ 'equal' + Type + Name ] = function( margin ){
				margin = Type==='Outer' ? margin : undefined;
				// OuterHeight || height
				var fn = Type ? type+Name : name,
					tallest = 0;
				return this.each(function(){
						var height = $(this)[ fn ]( margin );
						if( height > tallest ){
							tallest = height;
						}
					})[ fn ]( tallest, margin );
			};

		});

	});

});