/*
 * @copyright		© Copyright 2006-2010, epages GmbH, All Rights Reserved.
 *
 * @module			ep.openWindow
 *
 * @revision		$Revision: 1.1.2.1 $
 */

jQuery.plugin( 'ep.openWindow', ['ep.core', 'ep.uri'], function( $, undefined ){

	var windowUid = 0;

	ep.extend({
		// open new window with predefined features
		openWindow: function( url, windowName, features ){
			var win;

			switch( features===undefined ? windowName : features ){
				case "PopUp":
					features = "width=1000, height=730, toolbar=no, status=no, resizable=yes, menubar=no, location=no, scrollbars=yes";
				break;
				case "RTE":
					features = "width=996, height=700, toolbar=no, status=no, resizable=yes, menubar=no, location=no, scrollbars=yes";
				break;
				case "PopUpPrint":
					features = "width=790, height=580, toolbar=yes, status=no, resizable=yes, menubar=yes, location=no, scrollbars=yes";
				break;
				case "HelpWindow":
					features = "width=1000, height=730, toolbar=no, status=no, resizable=yes, menubar=no, location=no, scrollbars=yes";
					windowName = "WWHFrame";
				break;
				case "StylePreview":
					features="width=470, height=310, toolbar=no, status=no, resizable=no, menubar=no, location=no, scrollbars=no";
					windowName = "StylePreview";
				break;
				case "DetailedImageView":
					features="width=1000, height=730, toolbar=no, status=no, resizable=yes, menubar=no, location=no, scrollbars=yes";
					windowName = "StylePreview";
				break;
				case "CheckLink":
					if( /^\?/.test(url) ) {
						url = ep.config.storeFrontUrl ? ep.config.storeFrontUrl + url : undefined;
					}
					else if( ep.uriIsAbsolute(url) ){
						url = 'http://' + url;
					}
					features = "toolbar=yes, status=yes, resizable=yes, menubar=yes, location=yes, scrollbars=yes";
				break;
			}

			// be sure windowName is not features
			if( !(/^[\w\d_]+$/).test(windowName) ){
				features = windowName;
				windowName = 'epOpenWindow'+(windowUid++);
			}

			if( url !== "http://" ){
				win = window.open( url, windowName, features );
				if( win ){
					win.focus();
				}
			}

			return win;
		}
	});

});