/*
 * @author			Emanuel Vitzthum
 * @copyright		© 2011 jQuery SDK v1.0
 * @info			http://www.jquerysdk.com
 *
 * @license			Duale licensed under the MIT (http://www.opensource.org/licenses/mit-license.php) and GPL (http://www.gnu.org/licenses/gpl.html)
 *
 * @plugin			jQuery.compareVersion
 */

jQuery.plugin( 'jQuery.compareVersion', function( $, undefined ){

	var ext = {
			alpha:	-2,
			a:		-2,
			beta:	-1,
			b:		-1
		},

		split = function( val ){
			return (val+'')
				.toLowerCase()
				.replace( /(\d+)\s*([a-z]+)/g, function( all, $1, $2 ){
					return $1+'.'+$2;
				})
				.replace( /,/g, '.' )
				.replace( / /g, '' )
				.split('.');
		},

		toInt = function( val ){
			return parseInt( /\D+/.test(val) ? (ext[val] || 0) : val , 10 );
		};

	$.compareVersion = function( versionA, versionB ){
		var stackA = split(versionA),
		 	stackB = split(versionB),
		 	l = Math.max( stackA.length, stackB.length );

		for( var i=0 ; i<l ; i++ ){
			var valA = toInt(stackA[i]),
				valB = toInt(stackB[i]);

			if( valA != valB )
				break;
		}

		return valA > valB ?
			1 :
			valA == valB ?
				0 :
				-1;
	};

});