/*
 * @author			Emanuel Vitzthum
 * @copyright		© 2011 jQuery SDK v1.0
 * @info			http://www.jquerysdk.com
 *
 * @license			Duale licensed under the MIT (http://www.opensource.org/licenses/mit-license.php) and GPL (http://www.gnu.org/licenses/gpl.html)
 *
 * @plugin			jQuery.fn.class
 */

jQuery.plugin( 'jQuery.fn.class', function( $, undefined ){

	var _hasClass = $.fn.hasClass,
		_removeClass = $.fn.removeClass;

	$.fn.extend({
		hasClass: function( classes ) {
			if( $.type(classes) === 'regexp' ){
				return (classes).test( $(this[0]).attr('class')||'' );
			}
			else{
				return _hasClass.call( this, classes );
			}
		},
		removeClass: function( classes ) {
			if( $.type(classes) === 'regexp' ){
				this.each(function(){
					var elem = $(this),
						remove = '';

					$.each( (elem.attr('class')||'').match(classes) || [], function( i, name ){
						remove += ' '+name;
					});

					_removeClass.call( elem, remove );
				});
			}
			else{
				_removeClass.call( this, classes );
			}

			return this;
		}
	});

});