/*
 * @author			Emanuel Vitzthum
 * @copyright		© 2011 jQuery SDK v1.0
 * @info			http://www.jquerysdk.com
 *
 * @license			Duale licensed under the MIT (http://www.opensource.org/licenses/mit-license.php) and GPL (http://www.gnu.org/licenses/gpl.html)
 *
 * @plugin			jQuery.metaparse
 */

jQuery.plugin( 'jQuery.metaparse', function( $, undefined ){

	var metaparse = function( data ){
			var ret = '';

			data = data.replace( /([^\s]+\(.*\))/, function( m, m1 ){
				ret = m1;
				return '';
			});

			return [data,ret];
		};

	$.extend({
		metaparse: function( elem, settings ){
			var s = settings ? $.extend( {}, $.metaparseSettings, settings ) : $.metaparseSettings,
				meta = ['',''];

			if( s.type === "class" ){
				meta = metaparse(elem.className);
				elem.className = meta[0];
			}
			else if( s.type === "elem" ){
				if( !elem.getElementsByTagName )
					return;

				var elems = elem.getElementsByTagName(s.name);
				if( elems.length ){
					meta = metaparse(elems[0].innerHTML);
					elems[0].innerHTML = meta[0];
				}
			}
			else if( elem.getAttribute != undefined ){
				var attr = elem.getAttribute( s.type==='html5' ? 'data-'+s.name : s.name );
				if( attr ){
					meta = metaparse(attr);
					elem.setAttribute(meta[0]);
				}
			}

			if( meta[1] ){
				var data = (meta[1]).match(/([^\.\(]*)(.*)/);

				// $.globalEval isn't faster then eval this short string
				// eval( "$(elem" + (data[1] ? ",'"+data[1]+"'" : "") + ")" + data[2] );
				eval( (data[1] || "$") + "(elem)" + data[2] );
			}
		},
		metaparseSettings: $.extend(
			{
				type: 'class',
				name: 'metaparse'
			},
			$.config.metaparse
		)
	});

	$.fn.extend({
		metaparse: function( settings ){
			return this.each(function(){
					$.metaparse( this, settings );
				});
		}
	});

});