/*
 * @author			Emanuel Vitzthum
 * @copyright		© 2011 jQuery SDK v1.0
 * @info			http://www.jquerysdk.com
 *
 * @license			Duale licensed under the MIT (http://www.opensource.org/licenses/mit-license.php) and GPL (http://www.gnu.org/licenses/gpl.html)
 *
 * @plugin			jQuery.storage
 */

jQuery.plugin( 'jQuery.storage', ['jQuery.cookie','jQuery.json'], function( $, undefined ){

	var is = {
			localStorage:	window.localStorage && window.localStorage.setItem,
			sessionStorage: window.sessionStorage && window.sessionStorage.setItem
		},

		_clearCookie = function( type ) {
			if( document.cookie && document.cookie !== '' ){
				var reg = new RegExp('^'+type,'');
				$.each( document.cookie.split(';'), function( i, cookie ){
					cookie = $.trim(cookie);
					if( reg.test(cookie) ) {
						 $.cookie( cookie.substr(0,cookie.indexOf('=')), null, {path:'/',domain:document.domain,expires:-365} ) ;
					}
				});
			}
			return null;
		};

	$.each( ['localStorage','sessionStorage'], function( i, type ){

		$[ type ] = function( name, value ){
			name = $[ type + 'Settings' ].namespace + name;

			if( value===undefined ){
				var ret = is[type] ?
						window[type].getItem( name ) :
						$.cookie( type+':'+name );
				return (ret===undefined || ret===null) ?
					null :
					$.parseJSON( ret );
			}
			else if( value===null ){
				is[type] ?
					window[type].removeItem( name ) :
					$.cookie( type+':'+name, null, {path:'/',domain:document.domain,expires:-365} );
				return this;
			}
			else{
				value = $.toJSON( value );
				is[type] ?
					window[type].setItem( name, value ) :
					$.cookie( type+':'+name, value, {path:'/',domain:document.domain,expires:type==='localStorage' ? 365 : undefined} );
				return this;
			}
		};

		$[ type + 'Clear' ] = function() {
			is[type] ?
				window[type].clear() :
				_clearCookie( type+':' );
			return this;
		};

		$[ type + 'Settings' ] = $.extend(
			{
				namespace: ''
			},
			$.config.storage
		);

	});

});