IF OBJECT_ID('i_FormField') IS NOT NULL
    DROP PROCEDURE i_FormField
GO
CREATE PROCEDURE i_FormField (
    @FieldID              int          = null
,   @FormID               int          
,   @LoopID               int          = null
,   @Name                 varchar(255) 
,   @Type                 varchar(30)  
,   @Mandatory            tinyint      
,   @MinValue             int          = null
,   @MaxValue             int          = null
) AS BEGIN
    DECLARE @TransactionCount int
    SELECT @TransactionCount = @@trancount

    IF @TransactionCount > 0 SAVE  TRANSACTION ti_formfield
    ELSE                     BEGIN TRANSACTION ti_formfield

        IF @FieldID IS NULL SELECT @FieldID = 1 + max(fieldid) FROM formfield HOLDLOCK
        IF @FieldID IS NULL SELECT @FieldID = 1

        INSERT INTO formfield
               ( fieldid, formid, loopid, name, type, mandatory, minval, maxval)
        SELECT  @FieldID,@FormID,@LoopID,@Name,@Type,@Mandatory,@MinValue,@MaxValue

        IF NOT @@transtate IN (0, 1)
        BEGIN
            ROLLBACK TRANSACTION ti_formfield
            RETURN 1
        END

        SELECT @FieldID

    IF @TransactionCount = 0
        COMMIT TRANSACTION ti_formfield
    RETURN 0
END
GO
