IF OBJECT_ID('i_LineItemProductMaxDownload') IS NOT NULL
    DROP PROCEDURE i_LineItemProductMaxDownload
GO
CREATE PROCEDURE i_LineItemProductMaxDownload (
    @LineItemProductID    int          
,   @DownloadProductMapID int          
,   @Counter              int          
) AS BEGIN
    DECLARE @TransactionCount int
    SELECT @TransactionCount = @@trancount

    IF @TransactionCount > 0 SAVE  TRANSACTION ti_lineitemproductmaxdownload
    ELSE                     BEGIN TRANSACTION ti_lineitemproductmaxdownload

        INSERT INTO lineitemproductmaxdownload
               ( lineitemproductid, downloadproductmapid, counter)
        SELECT  @LineItemProductID,@DownloadProductMapID,@Counter

        IF NOT @@transtate IN (0, 1)
        BEGIN
            ROLLBACK TRANSACTION ti_lineitemproductmaxdownload
            RETURN 1
        END

    IF @TransactionCount = 0
        COMMIT TRANSACTION ti_lineitemproductmaxdownload
    RETURN 0
END
GO
