IF OBJECT_ID('i_ProductPrice') IS NOT NULL
    DROP PROCEDURE i_ProductPrice
GO
CREATE PROCEDURE i_ProductPrice (
    @ProductID            int          
,   @CurrencyID           char(3)      
,   @ListPrice            money        = null
,   @ManufacturerPrice    money        = null
,   @EcoParticipation     money        = null
,   @Deposit              money        = null
) AS BEGIN
    DECLARE @TransactionCount int
    SELECT @TransactionCount = @@trancount

    IF @TransactionCount > 0 SAVE  TRANSACTION ti_productprice
    ELSE                     BEGIN TRANSACTION ti_productprice

        INSERT INTO productprice
               ( productid, currencyid, listprice, manufacturerprice, ecoparticipation, deposit)
        SELECT  @ProductID,@CurrencyID,@ListPrice,@ManufacturerPrice,@EcoParticipation,@Deposit

        IF NOT @@transtate IN (0, 1)
        BEGIN
            ROLLBACK TRANSACTION ti_productprice
            RETURN 1
        END

    IF @TransactionCount = 0
        COMMIT TRANSACTION ti_productprice
    RETURN 0
END
GO
