-- #202
CREATE TABLE lineitemproduct (
    lineitemproductid    int           not null
,   productid            int           null
,   orderunitid          int           null
,   weight               float         null
,   weightunitid         int           null
,   weightquantity       float         null
,   prepayment           money         null
,   ecoparticipation     money         null
,   maxdownloadtime      int           null
,   enddownloadtime      datetime      null

,   constraint pk_lineitemproduct               primary key (lineitemproductid)
,   constraint fk_lineitemproduct_lineitem      foreign key (lineitemproductid)
        references lineitem                         (lineitemid)
,   constraint fk_lineitemproduct_product       foreign key (productid)
        references product                          (productid)
,   constraint fk_lineitemproduct_weightunit    foreign key (weightunitid)
        references unitofmeasurement                (unitid)
,   constraint fk_lineitemproduct_orderunit     foreign key (orderunitid)
        references unitofmeasurement                (unitid)
)
GO
CREATE INDEX i_lineitemproduct_product ON lineitemproduct (productid)
GO
CREATE INDEX i_lineitemproduct_orderunit ON lineitemproduct (orderunitid)
GO
CREATE INDEX i_lineitemproduct_weightunit ON lineitemproduct (weightunitid)
GO
