IF OBJECT_ID('i_ShopFeature') IS NOT NULL
    DROP PROCEDURE i_ShopFeature
GO
CREATE PROCEDURE i_ShopFeature (
    @ShopID               int          
,   @FeatureID            int          
,   @MaxValue             int          
,   @CurrentValue         int          
,   @IsVisible            bit          
,   @IsDirty              bit          
) AS BEGIN
    DECLARE @TransactionCount int
    SELECT @TransactionCount = @@trancount

    IF @TransactionCount > 0 SAVE  TRANSACTION ti_shopfeature
    ELSE                     BEGIN TRANSACTION ti_shopfeature

        INSERT INTO shopfeature
               ( shopid, featureid, maxval, currentvalue, isvisible, isdirty)
        SELECT  @ShopID,@FeatureID,@MaxValue,@CurrentValue,@IsVisible,@IsDirty

        IF NOT @@transtate IN (0, 1)
        BEGIN
            ROLLBACK TRANSACTION ti_shopfeature
            RETURN 1
        END

    IF @TransactionCount = 0
        COMMIT TRANSACTION ti_shopfeature
    RETURN 0
END
GO
