IF OBJECT_ID('i_FeatureCollectionFeature') IS NOT NULL
    DROP PROCEDURE i_FeatureCollectionFeature
GO
CREATE PROCEDURE i_FeatureCollectionFeature (
    @FeatureCollectionID  int          
,   @FeatureID            int          
,   @MaxValue             int          
,   @IsVisible            bit          
) AS BEGIN
    DECLARE @TransactionCount int
    SELECT @TransactionCount = @@trancount

    IF @TransactionCount > 0 SAVE  TRANSACTION ti_featurecollectionfeature
    ELSE                     BEGIN TRANSACTION ti_featurecollectionfeature

        INSERT INTO featurecollectionfeature
               ( featurecollectionid, featureid, maxval, isvisible)
        SELECT  @FeatureCollectionID,@FeatureID,@MaxValue,@IsVisible

        IF NOT @@transtate IN (0, 1)
        BEGIN
            ROLLBACK TRANSACTION ti_featurecollectionfeature
            RETURN 1
        END

    IF @TransactionCount = 0
        COMMIT TRANSACTION ti_featurecollectionfeature
    RETURN 0
END
GO
