IF OBJECT_ID('i_AddressCompany') IS NOT NULL
    DROP PROCEDURE i_AddressCompany
GO
CREATE PROCEDURE i_AddressCompany (
    @AddressID            int          
,   @VATID                varchar(20)  = null
,   @BankCode             varchar(255) = null
,   @BankName             nvarchar(255) = null
,   @BankAccountNo        varchar(255) = null
,   @BankAccountHolder    nvarchar(255) = null
,   @URL                  varchar(255) = null
) AS BEGIN
    DECLARE @TransactionCount int
    SELECT @TransactionCount = @@trancount

    IF @TransactionCount > 0 SAVE  TRANSACTION ti_addresscompany
    ELSE                     BEGIN TRANSACTION ti_addresscompany

        INSERT INTO addresscompany
               ( addressid, vatid, bankcode, bankname, bankaccountno, bankaccountholder, url)
        SELECT  @AddressID,@VATID,@BankCode,@BankName,@BankAccountNo,@BankAccountHolder,@URL

        IF NOT @@transtate IN (0, 1)
        BEGIN
            ROLLBACK TRANSACTION ti_addresscompany
            RETURN 1
        END

    IF @TransactionCount = 0
        COMMIT TRANSACTION ti_addresscompany
    RETURN 0
END
GO
