use Test::Simple tests => 1;
use DE_EPAGES::Core::API::PerlTools qw( ElementOf );
use Sort::Versions; ## no critic qw(RequireCorrectImports) # versioncmp

use strict;

sub BuildPatchString {
    my ($PatchesString, $PatchVersion) = @_;
    $PatchesString =~ s/[\[\]]//g;
    my @Patches = split/,/,$PatchesString;
    s/[\s']//g foreach @Patches;
    # is patch already included, so dont add it again
    push @Patches, $PatchVersion unless ElementOf($PatchVersion, @Patches);
    return '[' . join(",", map { "'$_'" } sort versioncmp @Patches) .  ']';
}

ok (BuildPatchString("['3.0.0.1','4.0']", '3.0') eq "['3.0','3.0.0.1','4.0']", '3.0 eingefuegt');
