IF OBJECT_ID('i_StyleHeaderImageMap') IS NOT NULL
    DROP PROCEDURE i_StyleHeaderImageMap
GO
CREATE PROCEDURE i_StyleHeaderImageMap (
    @StyleHeaderImageMapID int          = null
,   @StyleGroupID         int          = null
,   @StyleHeaderImageID   int          = null
,   @Position             int          = null
) AS BEGIN
    DECLARE @TransactionCount int
    SELECT @TransactionCount = @@trancount

    IF @TransactionCount > 0 SAVE  TRANSACTION ti_styleheaderimagemap
    ELSE                     BEGIN TRANSACTION ti_styleheaderimagemap

        IF @StyleHeaderImageMapID IS NULL SELECT @StyleHeaderImageMapID = 1 + max(styleheaderimagemapid) FROM styleheaderimagemap HOLDLOCK
        IF @StyleHeaderImageMapID IS NULL SELECT @StyleHeaderImageMapID = 1

        INSERT INTO styleheaderimagemap
               ( styleheaderimagemapid, stylegroupid, styleheaderimageid, position)
        SELECT  @StyleHeaderImageMapID,@StyleGroupID,@StyleHeaderImageID,@Position

        IF NOT @@transtate IN (0, 1)
        BEGIN
            ROLLBACK TRANSACTION ti_styleheaderimagemap
            RETURN 1
        END

        SELECT @StyleHeaderImageMapID

    IF @TransactionCount = 0
        COMMIT TRANSACTION ti_styleheaderimagemap
    RETURN 0
END
GO
