IF OBJECT_ID('i_StyleHeaderImage') IS NOT NULL
    DROP PROCEDURE i_StyleHeaderImage
GO
CREATE PROCEDURE i_StyleHeaderImage (
    @StyleHeaderImageID   int          
,   @ImageFile            varchar(255) = null
) AS BEGIN
    DECLARE @TransactionCount int
    SELECT @TransactionCount = @@trancount

    IF @TransactionCount > 0 SAVE  TRANSACTION ti_styleheaderimage
    ELSE                     BEGIN TRANSACTION ti_styleheaderimage

        INSERT INTO styleheaderimage
               ( styleheaderimageid, imagefile)
        SELECT  @StyleHeaderImageID,@ImageFile

        IF NOT @@transtate IN (0, 1)
        BEGIN
            ROLLBACK TRANSACTION ti_styleheaderimage
            RETURN 1
        END

    IF @TransactionCount = 0
        COMMIT TRANSACTION ti_styleheaderimage
    RETURN 0
END
GO
