use strict;
use Test::Simple tests => 3;
use DE_EPAGES::Core::API::Script qw( RunScript );
use DE_EPAGES::Diagnostics::API::HelpCenter qw ( GetApiInfoFromDocRoot
                                                 GetModelsInfoFromDocRoot);

sub Main {

    ok( 1, 'init');

    my $DocRoot = 'http://helpcenter.epages.com/Doc/ver_6_12_0/epages';

    # GetApiInfoFromDocRoot
    my $aKnownAPIDocs = GetApiInfoFromDocRoot($DocRoot);
    my $APIDocu = 'DE_EPAGES/Core/API/File.pm.html';
    ok ($APIDocu ~~ @$aKnownAPIDocs, "$DocRoot/API/$APIDocu");

    # GetModelsInfoFromDocRoot
    my $hModelsInfo = GetModelsInfoFromDocRoot($DocRoot);
    ok ($hModelsInfo->{'Trigger'} eq 'Trigger_Hook.pdf',
        "$DocRoot/Models/Trigger_Hook.pdf");
}

RunScript( Sub => \&Main, Debug => 1 );
