use Test::Simple tests => 2;
use strict;
use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::Core::API::File  qw ( ExistsFileCaseSensitive );
use DE_EPAGES::Dictionary::API::XML::DictionaryImportHandler qw ( ImportDictionary );

RunScript(
    'Sub' => sub {

    my $hDict;
    my $DictFile = $ENV{'EPAGES_CARTRIDGES'} . '/DE_EPAGES/Dictionary/t/dict.xml';

    #Import all items of dictionary
    $hDict = undef;
    $hDict = ImportDictionary($DictFile) if ExistsFileCaseSensitive($DictFile);

    ok( (   defined $hDict
        and scalar keys %{$hDict->{'de'}} == 4
        and exists $hDict->{'de'}{'Back'} and $hDict->{'de'}{'Back'} eq 'Zurck'
        and exists $hDict->{'de'}{'Delete'} and $hDict->{'de'}{'Delete'} eq 'Lschen'
        and exists $hDict->{'de'}{'New'} and $hDict->{'de'}{'New'} eq 'Neu'
        and exists $hDict->{'de'}{'Save'} and $hDict->{'de'}{'Save'} eq 'Speichern' )
        ,'Import all items');

    #Import only all items of dictionary marked with JS="1"
    $hDict = undef;
    $hDict = ImportDictionary($DictFile, undef, undef, 1) if ExistsFileCaseSensitive($DictFile);

    ok( (   defined $hDict
        and scalar keys %{$hDict->{'de'}} == 2
        and exists $hDict->{'de'}{'Delete'} and $hDict->{'de'}{'Delete'} eq 'Lschen'
        and exists $hDict->{'de'}{'New'} and $hDict->{'de'}{'New'} eq 'Neu' )
        ,'Import only items marked with JS="1"');

    }
);
