use Test::More tests => 12;
use strict;

use Text::Diff qw( diff );
use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::Core::API::File  qw ( GetFileContent WriteFile DeleteFile ExistsFile DeleteDirectory );
use DE_EPAGES::Dictionary::API::Template qw ( ProcessFileTemplate );
use DE_EPAGES::Dictionary::t::tlevars;

RunScript(
    'Sub' => sub {
        for (my $i=1; $i<7; $i++) {
            foreach my $LanguageCode ('en', 'de') {
                my $Loops =  DE_EPAGES::Dictionary::t::tlevars::GetLoops($i);
                my $Vars  =  DE_EPAGES::Dictionary::t::tlevars::GetVars($i);

                my $isContent = ProcessFileTemplate(sprintf("template_%02d_t.tmpl",$i), $LanguageCode, { %$Vars , %$Loops});
                my $ExFile = sprintf("template_%02d_e_%s.tmpl",$i,$LanguageCode);
                my $rExContent = GetFileContent( $ExFile );
                my $IsFile = sprintf("template_%02d_i_%s.tmpl",$i,$LanguageCode);
                if ($$rExContent eq $isContent) {
                    DeleteFile($IsFile) if ExistsFile($IsFile);
                    ok (1 , sprintf("%02d %s",$i,$LanguageCode));
                } else {
                    WriteFile($IsFile, \$isContent);
                    diag diff($ExFile, $IsFile);
                    ok (0 , sprintf("%02d %s",$i,$LanguageCode));
                }
            }
        }
    }
);
DeleteDirectory('ctmpl', {'recursive' => 1});
