use strict;

use DE_EPAGES::Core::API::PerlTools qw ( ElementOf );
use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::Ebay::API::Constants;
use Test::More;

sub Main {
    TestConstants();
    done_testing();
}

sub TestConstants {
    is(EBAY_LISTINGSTATUS->{'Ended'}, AUCTION_ENDED, 'EBAY_LISTINGSTATUS');
    is([EBAY_DETAILS]->[1], 'CurrencyDetails', 'EBAY_DETAILS');
    ok(ElementOf('DispatchTimeMaxDetails',EBAY_DETAILS), 'EBAY_DETAILS 2');
    is(join(',',REMOTE_GETSELLERLIST_OUTPUTSELECTOR), 'HasMoreItems,ItemArray.Item.ItemID,ItemArray.Item.ListingDetails.EndTime,ItemArray.Item.SellingStatus.BidCount,ItemArray.Item.SellingStatus.CurrentPrice,ItemArray.Item.SellingStatus.ListingStatus,ItemArray.Item.SellingStatus.QuantitySold,PageNumber,PaginationResult,ReturnedItemCountActual', 'REMOTE_GETSELLERLIST_OUTPUTSELECTOR');
}

RunScript( Sub => \&Main );