IF OBJECT_ID('i_ShippingLabelFFOption') IS NOT NULL
    DROP PROCEDURE i_ShippingLabelFFOption
GO
CREATE PROCEDURE i_ShippingLabelFFOption (
    @ShippingLabelID      int          
,   @ShippingFulfillmentOptionID int          
) AS BEGIN
    DECLARE @TransactionCount int
    SELECT @TransactionCount = @@trancount

    IF @TransactionCount > 0 SAVE  TRANSACTION ti_shippinglabelffoption
    ELSE                     BEGIN TRANSACTION ti_shippinglabelffoption

        INSERT INTO shippinglabelffoption
               ( shippinglabelid, shippingfulfillmentoptionid)
        SELECT  @ShippingLabelID,@ShippingFulfillmentOptionID

        IF NOT @@transtate IN (0, 1)
        BEGIN
            ROLLBACK TRANSACTION ti_shippinglabelffoption
            RETURN 1
        END

    IF @TransactionCount = 0
        COMMIT TRANSACTION ti_shippinglabelffoption
    RETURN 0
END
GO
