IF OBJECT_ID('i_ShippingMethodOptionPrice') IS NOT NULL
    DROP PROCEDURE i_ShippingMethodOptionPrice
GO
CREATE PROCEDURE i_ShippingMethodOptionPrice (
    @ShippingMethodID     int          
,   @ShippingFulFillmentOptionID int          
,   @CurrencyID           char(3)      
,   @BaseValue            money        = null
) AS BEGIN
    DECLARE @TransactionCount int
    SELECT @TransactionCount = @@trancount

    IF @TransactionCount > 0 SAVE  TRANSACTION ti_shippingmethodoptionprice
    ELSE                     BEGIN TRANSACTION ti_shippingmethodoptionprice

        INSERT INTO shippingmethodoptionprice
               ( shippingmethodid, shippingfulfillmentoptionid, currencyid, basevalue)
        SELECT  @ShippingMethodID,@ShippingFulFillmentOptionID,@CurrencyID,@BaseValue

        IF NOT @@transtate IN (0, 1)
        BEGIN
            ROLLBACK TRANSACTION ti_shippingmethodoptionprice
            RETURN 1
        END

    IF @TransactionCount = 0
        COMMIT TRANSACTION ti_shippingmethodoptionprice
    RETURN 0
END
GO
