use Test::More;
use strict;
use DE_EPAGES::Core::API::PerlTools qw (GenerateGUID);
use DE_EPAGES::Core::API::Script qw (RunScript);
use DE_EPAGES::Database::API::Connection qw (GetTestSite RunOnStore);
use DE_EPAGES::GestPay::API::Constants qw (%CURRENCYIDS %LANGUAGEIDS);
use DE_EPAGES::GestPay::API::Payment qw (EncryptRequestData);

#========================================================================================
sub Main {
    plan tests => 2;
    my $hResult = EncryptRequestData('GESPAY48402', $CURRENCYIDS{'EUR'}, 0.02, GenerateGUID(), $LANGUAGEIDS{'it'}, 1);
    ok(defined($hResult), 'webservice request');
    SKIP: {
        skip('unknown ip address', 1) if ($hResult->{'ErrorCode'} eq '1142');
        ok($hResult->{'ErrorCode'} eq '0', 'encrypt success');
    }
}

#========================================================================================
RunScript( Message => 'long', Sub=> sub {
    RunOnStore( Store => GetTestSite(), Sub => \&Main );
});
