/*
 * @copyright		© Copyright 2006-2010, epages GmbH, All Rights Reserved.
 *
 * @module			ep.utf8
 *
 * @revision		$Revision: 1.4 $
 */

jQuery.plugin( 'ep.utf8', 'ep.core', function( $, undefined ){

	ep.utf8Encode = function(str){
		str = str.replace(/\r\n/g,"\n"); //remove newlines
		var resultStr = "";

		for (var i = 0, iLength=str.length; i < iLength; i++) {
			var charCode = str.charCodeAt(i);
			if (charCode < 128) {
				resultStr += String.fromCharCode(charCode);
			}
			else if((charCode > 127) && (charCode < 2048)) {
				resultStr += String.fromCharCode((charCode >> 6) | 192);
				resultStr += String.fromCharCode((charCode & 63) | 128);
			}
			else {
				resultStr += String.fromCharCode((charCode >> 12) | 224);
				resultStr += String.fromCharCode(((charCode >> 6) & 63) | 128);
				resultStr += String.fromCharCode((charCode & 63) | 128);
			}
		}
		return resultStr;
	};
	ep.utf8Decode = function(str){
	var string = "",
		i = 0,  c = 0, c1 = 0, c2 = 0;

		while ( i < str.length ) {

			c = str.charCodeAt(i);

			if (c < 128) {
				string += String.fromCharCode(c);
				i++;
			}
			else if((c > 191) && (c < 224)) {
				c2 = str.charCodeAt(i+1);
				string += String.fromCharCode(((c & 31) << 6) | (c2 & 63));
				i += 2;
			}
			else {
				c2 = str.charCodeAt(i+1);
				c3 = str.charCodeAt(i+2);
				string += String.fromCharCode(((c & 15) << 12) | ((c2 & 63) << 6) | (c3 & 63));
				i += 3;
			}
		}
		return string;
	};
});