/*
 * @author			Emanuel Vitzthum
 * @copyright		© 2011 jQuery SDK v1.0
 * @info			http://www.jquerysdk.com
 *
 * @license			Dual licensed under the MIT (http://www.opensource.org/licenses/mit-license.php) and GPL (http://www.gnu.org/licenses/gpl.html)
 *
 * @plugin			jQuery.fn.bound
 */

jQuery.plugin( 'jQuery.fn.bound', function( $, undefined ){

	$.fn.bound = function( events, callback ) {

		var eventMap = {};

		$.each( $.trim(events).replace(/\s+/,' ').split(' '), function( i, eventName ){
			var evt = eventName.split('.');
			eventMap[ evt[0] ] = evt[1] || '';
		});

		return this.each(function( i, node ){
			// each event of current element in set
			$.each( $(this).data('events') || [], function( type, handlers ){
				var namespace = eventMap[type]!==undefined ? eventMap[type] : eventMap['*'];
				// if eventType selected
				if( namespace!==undefined ){
					// each handlers of current event type
					$.each( handlers, function( j, handler ){
						// if handler namespace
						if( !namespace || namespace===handler.namespace ){
							// call
							callback.call( node, i, handler );
						}
				   });
				}
			});
		});
	};

});