(function($) {
    var regions = $.i18n.regions,
        en = $.i18n.defaults,
        standard = en.calendars.standard,
        region = regions["de-DE"] = $.extend(true, {}, en, {
	        name: "de-DE",
	        englishName: "German (Germany)",
	        nativeName: "Deutsch (Deutschland)",
	        language: "de",
	        numberFormat: {
	            ',': ".",
	            '.': ",",
	            percent: {
	                pattern: ["-n%","n%"],
	                ',': ".",
	                '.': ","
	            },
	            currencies: {'':{
	                pattern: ["-n $","n $"],
	                ',': ".",
	                '.': ",",
	                symbol: "€"
	            }}
	        },
	        calendars: {
	            standard: $.extend(true, {}, standard, {
	                '/': ".",
	                firstDay: 1,
					firstWeekMin: 4,
	                days: {
	                    names: ["Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag"],
	                    namesAbbr: ["So","Mo","Di","Mi","Do","Fr","Sa"],
	                    namesShort: ["So","Mo","Di","Mi","Do","Fr","Sa"]
	                },
	                months: {
	                    names: ["Januar","Februar","März","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember",""],
	                    namesAbbr: ["Jan","Feb","Mrz","Apr","Mai","Jun","Jul","Aug","Sep","Okt","Nov","Dez",""]
	                },
	                AM: null,
	                PM: null,
	                eras: [{"name":"n. Chr.","start":null,"offset":0}],
	                patterns: {
	                    d: "dd.MM.yyyy",
	                    D: "dddd, d. MMMM yyyy",
	                    t: "HH:mm",
	                    T: "HH:mm:ss",
	                    f: "dddd, d. MMMM yyyy HH:mm",
	                    F: "dddd, d. MMMM yyyy HH:mm:ss",
	                    M: "dd MMMM",
	                    Y: "MMMM yyyy",
                    l: "dd.MM.yyyy HH:mm",
                    L: "dd.MM.yyyy HH:mm:ss"
	                }
	            })
	        }
	    }, regions["de-DE"]);
    region.calendar = region.calendars.standard;
    region.numberFormat.currency = region.numberFormat.currencies[''];
})(jQuery);