dojo.provide("epages.cartridges.de_epages.mediagallery.widget.ImageInlineEditor");
dojo.require('epages.cartridges.de_epages.presentation.widget.InlineEditor');


(function(jq){

	var jqUploaderReady = !1,
		jqUploaderCreate = function( self ){
			var data = {
					ViewAction:		'JSONViewResponse',
					ChangeAction:	self.uploadAction,
					ObjectID:			self.objectId
				};
			if( self.scaleWidth ){ data.Width	= self.scaleWidth; }
			if( self.scaleHeight ){ data.Heigh	= self.scaleHeight; }

			de_epages(self.uploadNode)
				.presentationUiUploader({
					data:			data,
					style:		'big-icon',
					accept:		self.fileType,
					callback:	function( data ){
						if( data = data[ data.length-1 ].success ){
							self.onChange(data.uploadedObjectFiles[0],data.uploadedFiles[0]);
						}
					}
				});
		};

	dojo.declare(
		"epages.cartridges.de_epages.mediagallery.widget.ImageInlineEditor",
		[epages.cartridges.de_epages.presentation.widget.InlineEditor],
		{
			/* widget properties */
			templateString		: '',
			templatePath      : dojo.moduleUrl('epages.cartridges.de_epages.mediagallery.widget','templates/ImageInlineEditor.html'),
			widgetsInTemplate : true,
			objectId          : epages.vars.ObjectID || '',
			uploadAction      : 'UploadImages',
			scaleWidth        : null,
			scaleHeight       : null,

			/* public properties */
			permanent: true,

			postCreate: function(){
				if(this.value == ''){
					this.imgNode.src = epages.themeUrl('images') + "/plain.gif";
					this.imgNode.width= 50;
					this.imgNode.height = 50;
				}

				if(this.scaleWidth != null) {
					this.scaleWidth = parseInt(this.scaleWidth, 10);
				}
				if(this.scaleHeight != null) {
					this.scaleHeight = parseInt(this.scaleHeight, 10);
				}

				// modify changeaction
				this._changeUploader();

				this.inherited('postCreate', arguments);
			},

			startup: function() {
				this.inherited('startup', arguments);
				this.domNode.title = "";

			},

			_changeUploader: function () {
				var self = this;

				if( jqUploaderReady ){
						jqUploaderCreate( self );
				}
				else{
					jq.ready( 'de_epages.presentation.ui.uploader', function(){
						jqUploaderReady = !0;
						jqUploaderCreate( self );
					});
				}
			},

			onChange: function(value,imgSrc) {
				this.imgNode.src = imgSrc;
				// write contents back to hidden input
				this.contentNode.value = value;
				//this.undoObject.addInput(this.contentNode);
			},

			show: function(evt) {
				// Upload widget
				//this.uploadNode.uploadFiles(evt);
			},

			hide: function() {
				// this is a permanent widget, so it never hides
			},

			_copyStyle: function(){
				//description: empty function from parent widget is not used in this widget
			}

		}
	);

})(jQuery);