IF OBJECT_ID('i_MeinPaketCustomerMap') IS NOT NULL
    DROP PROCEDURE i_MeinPaketCustomerMap
GO
CREATE PROCEDURE i_MeinPaketCustomerMap (
    @MeinPaketCustomerMapID int          = null
,   @CustomerID           int          
,   @PortalSiteID         int          = null
,   @MeinPaketCustomerNo  varchar(100) 
) AS BEGIN
    DECLARE @TransactionCount int
    SELECT @TransactionCount = @@trancount

    IF @TransactionCount > 0 SAVE  TRANSACTION ti_meinpaketcustomermap
    ELSE                     BEGIN TRANSACTION ti_meinpaketcustomermap

        IF @MeinPaketCustomerMapID IS NULL SELECT @MeinPaketCustomerMapID = 1 + max(meinpaketcustomermapid) FROM meinpaketcustomermap HOLDLOCK
        IF @MeinPaketCustomerMapID IS NULL SELECT @MeinPaketCustomerMapID = 1

        INSERT INTO meinpaketcustomermap
               ( meinpaketcustomermapid, customerid, portalsiteid, meinpaketcustomerno)
        SELECT  @MeinPaketCustomerMapID,@CustomerID,@PortalSiteID,@MeinPaketCustomerNo

        IF NOT @@transtate IN (0, 1)
        BEGIN
            ROLLBACK TRANSACTION ti_meinpaketcustomermap
            RETURN 1
        END

    IF @TransactionCount = 0
        COMMIT TRANSACTION ti_meinpaketcustomermap
    RETURN 0
END
GO
