IF OBJECT_ID('i_MeinPaketCustomerOrderMap') IS NOT NULL
    DROP PROCEDURE i_MeinPaketCustomerOrderMap
GO
CREATE PROCEDURE i_MeinPaketCustomerOrderMap (
    @MeinPaketCustomerOrderMapID int          = null
,   @OrderID              int          = null
,   @MeinPaketOrderID     varchar(25)  = null
) AS BEGIN
    DECLARE @TransactionCount int
    SELECT @TransactionCount = @@trancount

    IF @TransactionCount > 0 SAVE  TRANSACTION ti_meinpaketcustomerordermap
    ELSE                     BEGIN TRANSACTION ti_meinpaketcustomerordermap

        IF @MeinPaketCustomerOrderMapID IS NULL SELECT @MeinPaketCustomerOrderMapID = 1 + max(meinpaketcustomerordermapid) FROM meinpaketcustomerordermap HOLDLOCK
        IF @MeinPaketCustomerOrderMapID IS NULL SELECT @MeinPaketCustomerOrderMapID = 1

        INSERT INTO meinpaketcustomerordermap
               ( meinpaketcustomerordermapid, orderid, meinpaketorderid)
        SELECT  @MeinPaketCustomerOrderMapID,@OrderID,@MeinPaketOrderID

        IF NOT @@transtate IN (0, 1)
        BEGIN
            ROLLBACK TRANSACTION ti_meinpaketcustomerordermap
            RETURN 1
        END

    IF @TransactionCount = 0
        COMMIT TRANSACTION ti_meinpaketcustomerordermap
    RETURN 0
END
GO
