IF OBJECT_ID('i_MeinPaketProductImageMap') IS NOT NULL
    DROP PROCEDURE i_MeinPaketProductImageMap
GO
CREATE PROCEDURE i_MeinPaketProductImageMap (
    @MeinPaketProductImageMapID int          = null
,   @MeinPaketOfferID     int          
,   @ProductID            int          
,   @FileName             varchar(255) 
) AS BEGIN
    DECLARE @TransactionCount int
    SELECT @TransactionCount = @@trancount

    IF @TransactionCount > 0 SAVE  TRANSACTION ti_meinpaketproductimagemap
    ELSE                     BEGIN TRANSACTION ti_meinpaketproductimagemap

        IF @MeinPaketProductImageMapID IS NULL SELECT @MeinPaketProductImageMapID = 1 + max(meinpaketproductimagemapid) FROM meinpaketproductimagemap HOLDLOCK
        IF @MeinPaketProductImageMapID IS NULL SELECT @MeinPaketProductImageMapID = 1

        INSERT INTO meinpaketproductimagemap
               ( meinpaketproductimagemapid, meinpaketofferid, productid, filename)
        SELECT  @MeinPaketProductImageMapID,@MeinPaketOfferID,@ProductID,@FileName

        IF NOT @@transtate IN (0, 1)
        BEGIN
            ROLLBACK TRANSACTION ti_meinpaketproductimagemap
            RETURN 1
        END

    IF @TransactionCount = 0
        COMMIT TRANSACTION ti_meinpaketproductimagemap
    RETURN 0
END
GO
