-- #102
CREATE TABLE meinpaketoffer (
     meinpaketofferid     integer  not null
,    productid            integer  null
,    meinpaketid          varchar(100)  null
,    portalconfigid       integer  null
,    categoryid           integer  null
,    meinpaketprice       decimal(19,4)  null
,    currencyid           char(3)  not null
,    onlinestatus         tinyint  not null
,    deliverylatency      tinyint  null
,    startdate            datetime  null
,    enddate              datetime  null
,    meinpaketcategory    varchar(100)  null
,    iscategorydefault    tinyint  not null

,   constraint pk_meinpaketoffer                primary key (meinpaketofferid)
,   constraint fk_meinpaketoffer_currency       foreign key (currencyid)
        references currency                         (currencyid)
,   constraint fk_meinpaketoffer_portalconfig   foreign key (portalconfigid)
        references portalconfig                     (portalconfigid)
,   constraint fk_meinpaketoffer_object         foreign key (meinpaketofferid)
        references object                           (objectid)
,   constraint fk_meinpaketoffer_product        foreign key (productid)
        references product                          (productid)
,   constraint fk_meinpaketoffer_contentobjec   foreign key (categoryid)
        references contentobject                    (contentobjectid)
)
GO
CREATE UNIQUE INDEX u_portalconfigid_productid ON meinpaketoffer (portalconfigid, productid)
GO
CREATE INDEX i_productid ON meinpaketoffer (productid)
GO
CREATE INDEX i_portalconfigid_status ON meinpaketoffer (portalconfigid, onlinestatus)
GO
CREATE INDEX i_categoryid ON meinpaketoffer (categoryid)
GO
CREATE INDEX i_categorydefault ON meinpaketoffer (iscategorydefault, categoryid)
GO
