use strict;

use DE_EPAGES::Core::API::Script qw ( RunScript );
use Test::More;
use DE_EPAGES::MeinPaket::API::Object::RequestAdapter;
use DE_EPAGES::Core::API::PerlTools qw ( GetCurrentDateTime GetLocalTimeZone );

sub Main {
    testDateTime();
    done_testing();
}

sub testDateTime {
    # tests
    my $DateTo   = GetCurrentDateTime();
    # simulate a floating datetime object from the database.
    my $DateFrom = $DateTo->clone()->set_time_zone('floating');
    # add local time zone
    $DateFrom->set_time_zone( GetLocalTimeZone() );
    # subtract two hours
    $DateFrom = $DateFrom->clone->subtract( hours => 2 );
    # call MeinPaket DateTime to string conversion.
    ## no critic (ProtectPrivateSubs ProhibitPrivateSubroutineUse)
    my $StrFrom = DE_EPAGES::MeinPaket::API::Object::RequestAdapter->_convertDateTimeToString($DateFrom);
    my $StrTo   = DE_EPAGES::MeinPaket::API::Object::RequestAdapter->_convertDateTimeToString($DateTo);
    # test output.
    is( length $StrFrom, 19, 'string length ' . $StrFrom );
    is( length $StrTo,   19, 'string length ' . $StrTo );
    isnt( $StrFrom, $StrTo, 'Timestamps dont match.' );
}

RunScript( Sub => \&Main );
