use strict;

use DE_EPAGES::Core::API::File qw ( GetFileContent );
use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::MeinPaket::API::XML::ResponseHandler;

use Readonly;
use Test::More;

# directory to MeinPaket.de sample files.
Readonly my $XMLSAMPLEDIR => $ENV{'EPAGES_CARTRIDGES'} . '/DE_EPAGES/MeinPaket/t/';

sub Main {
    TestUploadResponseError();
    done_testing();
}

sub TestUploadResponseError {
    my $Result
      = DE_EPAGES::MeinPaket::API::XML::ResponseHandler->importXML(
        ${GetFileContent($XMLSAMPLEDIR . 'testUploadResponseError.xml', {'encoding' => 'utf-8'})});
    isa_ok($Result, 'DE_EPAGES::MeinPaket::API::DTO::UploadResponse', 'Result');
    is(scalar @{$Result->ConfirmationList()},2,'1 confirmation');
    my ($Confirmation) = @{$Result->ConfirmationList()};
    isa_ok($Confirmation, 'DE_EPAGES::MeinPaket::API::DTO::Confirmation', 'Confirmation' );
    my $Category = $Confirmation->category();
    isa_ok($Category, 'DE_EPAGES::MeinPaket::API::DTO::Category', 'Category');
    is($Category->code(), '/Shops/coshop/Categories/Equipment', 'Category code');
}

RunScript( Sub => \&Main );

