IF OBJECT_ID('i_AffiliateCategoryMap') IS NOT NULL
    DROP PROCEDURE i_AffiliateCategoryMap
GO
CREATE PROCEDURE i_AffiliateCategoryMap (
    @AffiliateCategoryMapID int          = null
,   @AffiliateCategoryID  int          
,   @SubShopCategoryID    int          = null
,   @SubShopID            int          
) AS BEGIN
    DECLARE @TransactionCount int
    SELECT @TransactionCount = @@trancount

    IF @TransactionCount > 0 SAVE  TRANSACTION ti_affiliatecategorymap
    ELSE                     BEGIN TRANSACTION ti_affiliatecategorymap

        IF @AffiliateCategoryMapID IS NULL SELECT @AffiliateCategoryMapID = 1 + max(affiliatecategorymapid) FROM affiliatecategorymap HOLDLOCK
        IF @AffiliateCategoryMapID IS NULL SELECT @AffiliateCategoryMapID = 1

        INSERT INTO affiliatecategorymap
               ( affiliatecategorymapid, affiliatecategoryid, subshopcategoryid, subshopid)
        SELECT  @AffiliateCategoryMapID,@AffiliateCategoryID,@SubShopCategoryID,@SubShopID

        IF NOT @@transtate IN (0, 1)
        BEGIN
            ROLLBACK TRANSACTION ti_affiliatecategorymap
            RETURN 1
        END

        SELECT @AffiliateCategoryMapID

    IF @TransactionCount = 0
        COMMIT TRANSACTION ti_affiliatecategorymap
    RETURN 0
END
GO
