IF OBJECT_ID('i_AffiliateProductMap') IS NOT NULL
    DROP PROCEDURE i_AffiliateProductMap
GO
CREATE PROCEDURE i_AffiliateProductMap (
    @AffiliateProductMapID int          = null
,   @AffiliateProductID   int          
,   @SubShopProductID     int          = null
,   @SubShopID            int          
) AS BEGIN
    DECLARE @TransactionCount int
    SELECT @TransactionCount = @@trancount

    IF @TransactionCount > 0 SAVE  TRANSACTION ti_affiliateproductmap
    ELSE                     BEGIN TRANSACTION ti_affiliateproductmap

        IF @AffiliateProductMapID IS NULL SELECT @AffiliateProductMapID = 1 + max(affiliateproductmapid) FROM affiliateproductmap HOLDLOCK
        IF @AffiliateProductMapID IS NULL SELECT @AffiliateProductMapID = 1

        INSERT INTO affiliateproductmap
               ( affiliateproductmapid, affiliateproductid, subshopproductid, subshopid)
        SELECT  @AffiliateProductMapID,@AffiliateProductID,@SubShopProductID,@SubShopID

        IF NOT @@transtate IN (0, 1)
        BEGIN
            ROLLBACK TRANSACTION ti_affiliateproductmap
            RETURN 1
        END

        SELECT @AffiliateProductMapID

    IF @TransactionCount = 0
        COMMIT TRANSACTION ti_affiliateproductmap
    RETURN 0
END
GO
