IF OBJECT_ID('i_SessionTextParameter') IS NOT NULL
    DROP PROCEDURE i_SessionTextParameter
GO
CREATE PROCEDURE i_SessionTextParameter (
    @IntSessionID         int          
,   @SessionAttributeID   int          
) AS BEGIN
    DECLARE @TransactionCount int
    SELECT @TransactionCount = @@trancount

    IF @TransactionCount > 0 SAVE  TRANSACTION ti_sessiontextparameter
    ELSE                     BEGIN TRANSACTION ti_sessiontextparameter

        INSERT INTO sessiontextparameter
               ( intsessionid, sessionattributeid)
        SELECT  @IntSessionID,@SessionAttributeID

        IF NOT @@transtate IN (0, 1)
        BEGIN
            ROLLBACK TRANSACTION ti_sessiontextparameter
            RETURN 1
        END

    IF @TransactionCount = 0
        COMMIT TRANSACTION ti_sessiontextparameter
    RETURN 0
END
GO
