IF OBJECT_ID('i_PortalSite') IS NOT NULL
    DROP PROCEDURE i_PortalSite
GO
CREATE PROCEDURE i_PortalSite (
    @PortalSiteID         int          
,   @PortalID             int          
,   @RegisterURL          varchar(255) = null
,   @AdminURL             varchar(255) = null
,   @PortalURL            varchar(255) = null
,   @TaxModel             int          = null
,   @FTPServer            varchar(255) = null
,   @FTPPort              int          = null
,   @ExportsShippingPrice bit          
,   @EMail                varchar(255) = null
,   @Phone                varchar(255) = null
,   @ReviewURL            varchar(511) = null
,   @LocalName            varchar(255) = null
,   @ExportsDownloadProducts bit          
,   @IgnoreLastMerchantLogin bit          
) AS BEGIN
    DECLARE @TransactionCount int
    SELECT @TransactionCount = @@trancount

    IF @TransactionCount > 0 SAVE  TRANSACTION ti_portalsite
    ELSE                     BEGIN TRANSACTION ti_portalsite

        INSERT INTO portalsite
               ( portalsiteid, portalid, registerurl, adminurl, portalurl, taxmodel, ftpserver, ftpport, exportsshippingprice, email, phone, reviewurl, localname, exportsdownloadproducts, ignorelastmerchantlogin)
        SELECT  @PortalSiteID,@PortalID,@RegisterURL,@AdminURL,@PortalURL,@TaxModel,@FTPServer,@FTPPort,@ExportsShippingPrice,@EMail,@Phone,@ReviewURL,@LocalName,@ExportsDownloadProducts,@IgnoreLastMerchantLogin

        IF NOT @@transtate IN (0, 1)
        BEGIN
            ROLLBACK TRANSACTION ti_portalsite
            RETURN 1
        END

    IF @TransactionCount = 0
        COMMIT TRANSACTION ti_portalsite
    RETURN 0
END
GO
