dojo.provide("epages.cartridges.de_epages.shopwizard.widget.Contenttreenode");

dojo.require("epages.widget.LocalizedWidget");
dojo.require("dijit.Tree");
dojo.require('epages.string');
dojo.require('epages.widget.FormElement');

dojo.declare(
	"epages.cartridges.de_epages.shopwizard.widget.Contenttreenode",
	[epages.widget.LocalizedWidget,dijit._TreeNode],
	{
		/* public	*/
		iconSrc: epages.vars.StoreRoot + "/BO/icons/",
		iconAlt: '',
		objectClass: 'ContentObject',
		status:	'',
		statusCodes: {
			ENABLED: 'ENABLED',
			DISABLED:	'DISABLED',
			PREVIEW: 'PREVIEW'
		},
		isMandatory: 'false',
		isExisting:	'false',
		featureName: '',
		checked: 'false',
		hidden:	'false',
		disabled: false,
		_checkBoxLabel: undefined,
		_checkBoxInput:	undefined,

		/**
		 * widget	properties
		 */
		imagePath					:	 epages.themeUrl('images'),
		translationName		:	 dojo.moduleUrl('epages.cartridges.de_epages.shopwizard.widget','templates/translation'),

		buildRendering:	function(args, fragment, parent) {
			this.inherited("buildRendering", arguments);
			if(!this.item.top){
				this.translation.loadLocale(this.getTranslationName());
				if(this.item.isMandatory){
						this.isMandatory = this.item.isMandatory[0];
				}
				if(this.item.isExisting){
						this.isExisting	=	this.item.isExisting[0];
				}
				if(this.item.checked){
						this.checked = this.item.checked[0];
				}
				this.checked = epages.string.toBoolean(this.checked);
				if(this.item.status){
						this.status = this.item.status[0];
				}
				if(this.item.hidden){
						this.hidden = this.item.hidden[0];
				}
				// add icon
				this.objectClass = this.item.objectClass[0];
				var	icon = document.createElement("i");
				icon.className = "Sprite " + "object_ico_s_"	+	this.objectClass.toLowerCase();
				icon.setAttribute("title", this.item.className[0]);
				this.contentNode.insertBefore(icon,	this.contentNode.firstChild);
				this.contentNode.parentNode.style.position = "relative";

				this._setupCheckBox();
			}
		},

		_setupCheckBox: function() {
				// icon of the checkbox
				this._checkBoxLabel = dojo.create("label", {
					'class' : "EpForm Checkbox Checked",
					'style' : "margin-right:4px !important"
				});

				// hidden input for checkbox value
				this._checkBoxInput = dojo.create("input", {
					'type' 	: "text",
					'style' : "display: none",
					'name' 	: "Content",
					'value' : this.tree.model.getIdentity(this.item).replace(/democontent_/g, "")
				}, this.contentNode.firstChild, "before");

				// default state from this.checked
				this._toggleCheckBox({ 'checked' : this.checked });

				// disable on startup
				if (this.status	== this.statusCodes.DISABLED) {
					this._toggleCheckBox({ 'disabled' : true, 'hidden' : false });
					this.disabled = true;
				}

				// set status
				if(!this.status.match(this.statusCodes.PREVIEW) && this.isExisting) {
					// left side
					this._toggleCheckBox({ 'disabled' : true, 'checked' : true, 'hidden' : false });
					dojo.attr(this._checkBoxLabel, "title",	this.translate('PageAlreadyExists'));
					this.disabled = true;

					// insert	"already exists" icons
					var	icon = document.createElement("img");
					icon.src = this.iconSrc	+	'object_ico_s_available.png';
					icon.height	=	16;
					icon.width = 16;
					icon.setAttribute("title", this.translate('PageAlreadyExists'));
					icon.setAttribute("alt", this.translate('PageAlreadyExists'));
					this.contentNode.appendChild(icon);
				}

				if (!this.status.match(this.statusCodes.PREVIEW) &&	this.isMandatory)	{
					this._toggleCheckBox({ 'disabled' : true, 'checked' : true, 'hidden' : false });
					dojo.attr(this._checkBoxLabel, "title",	this.translate('MandatoryElement'));
					this.disabled = true;

					// insert	mandatory	icon
					var	icon = document.createElement("img");
					icon.src = this.iconSrc	+	'ico_s_mandatory.png';
					icon.height	=	16;
					icon.width = 16;
					icon.setAttribute("title", this.translate('MandatoryElement'));
					icon.setAttribute("alt", this.translate('MandatoryElement'));
					this.contentNode.appendChild(icon);
				}

				if(this.status.match(this.statusCodes.PREVIEW))	{
					this._toggleCheckBox({ 'checked' : this.checked, 'hidden' : true, 'disabled' : true });
					this.disabled = true;
				}

				// ???
				if (epages.string.toBoolean(this.hidden)){
					this.domNode.style.display = "none";
				}
				if (epages.string.toBoolean(this.checked)){
					dojo.addOnLoad(dojo.hitch(this, "onCheckBoxClick"));
				}

				dojo.place(this._checkBoxLabel, this.contentNode.firstChild, "before");
				dojo.place(this._checkBoxInput, this.contentNode.firstChild, "before");
		},

		_toggleCheckBox: function(state) {
			if(this._checkBoxLabel && this._checkBoxInput) {
				if (state.hidden === true) {
					dojo.addClass(this._checkBoxLabel, "HideElement");
				} else if (state.hidden === false) {
					dojo.removeClass(this._checkBoxLabel, "HideElement");
				}

				if(state.disabled === true) {
					dojo.addClass(this._checkBoxLabel, "Disabled");
					dojo.attr(this._checkBoxInput, "disabled", "disabled");
					this.disabled = false;
				} else if (state.disabled === false) {
					dojo.removeClass(this._checkBoxLabel, "Disabled");
					dojo.removeAttr(this._checkBoxInput, "disabled");
					this.disabled = true;
				}

				var changeInput = (typeof(state.disabled) === "undefined") ? 1 : 0;
				if (state.checked === true) {
					dojo.addClass(this._checkBoxLabel, "Checked");
					if(changeInput) {
						dojo.removeAttr(this._checkBoxInput, "disabled");
					}
				} else if (state.checked === false) {
					dojo.removeClass(this._checkBoxLabel, "Checked");
					if(changeInput) {
						dojo.attr(this._checkBoxInput, "disabled", "disabled");
					}
				}
			} else {
				console.error("Error: either checkbox label image or input does not exists!");
			}
		},

		hasCheckBox: function() {
			return this._checkBoxLabel && this._checkBoxInput;
		},

		isChecked: function() {
			return (this._checkBoxInput.disabled) ? 0 : 1;
		},

		onCheckBoxClick: function() {
			if (!this._checkBoxInput.disabled) {
				// check parent	too, if	needed
				var parentNode = this.getParent();
				if (parentNode && parentNode.hasCheckBox() && !parentNode.checked) {
					parentNode.clickCheckBox();
				}
			}	else {
				// uncheck children	too, if	needed
				var childNodes = this.getChildren();
				for( var i=0,iLength=childNodes.length ; i<iLength ; i++ )	{
					var	child	=	childNodes[i];
					if (child.checked)	{
						child.clickCheckBox();
					}
				}
			}

			dojo.publish(this.tree.id	+	"/clickCheckbox",	[{ node: this	}]);
		},

		clickCheckBox: function()	{
			if(!this.disabled)	{
				this.checked	=	!this.checked;
				this._toggleCheckBox({ 'checked' : this.checked });
				this.onCheckBoxClick();
			}
		},

		updateLayout:	function() {
			if(this.domNode.style.display	!= 'none'){
				//update layout	of this	node and previous	node if	exists
				var	nextChild	=	this.getNextSibling();
				if(this.getPreviousSibling()){
					this.getPreviousSibling()._updateLayout();
				}
				if(nextChild ==	null ||	nextChild.domNode.style.display	== 'none'){
					dojo.addClass(this.domNode,	"dijitTreeIsLast");
				}
				else{
					//if node	is not the last	visible	use	_updateLayout	method
					this._updateLayout();
				}
				//check	for	children and set expand	icon
				if(this.isExpandable){
						this.tree._expandNode(this);
				}
				if(this.getChildren().length !=	0){
					var	childrenVisible	=	false;
					for(var	i=0,l=this.getChildren().length; i < l;	i++){
						if(this.getChildren()[i].domNode.style.display !=	'none'){
							childrenVisible	=	true;
						}
					}
					if(childrenVisible ==	true){
						this.isExpandable	=	true;
						this.isExpanded	=	true;
						this._setExpando(false);
					}
					else{
						this.isExpandable	=	false;
						this.isExpanded	=	false;
						this._setExpando(false);
					}
				}
				//update Layout	of parent	Node
				var	parentNode = this.getParent();
				if(parentNode.isExpandable ==	false){
					parentNode.isExpandable	=	true;
					parentNode.isExpanded	=	true;
					parentNode._setExpando(false);
				}
			}
			//if node	is set to	'display none' change	layout of	previous node
			if(this.domNode.style.display	== 'none'){
				if(this.getPreviousSibling()){
					dojo.addClass(this.getPreviousSibling().domNode, "dijitTreeIsLast");
				}
				//update Layout	of parent	Node
				var	parentNode = this.getParent();
				var	childrenNodes	=	parentNode.getChildren();
				var	visible	=	false;
				for(var	i	=	0; i < childrenNodes.length; i++){
					if(childrenNodes[i].domNode.style.display	!= undefined &&	childrenNodes[i].domNode.style.display !=	'none'){
						visible	=	true;
					}
				}
				if(visible ==	false){
					parentNode.isExpandable	=	false;
					parentNode.isExpanded	=	false;
					parentNode._setExpando(false);
				}
			}
		},

		checkAll:	function() {
			if (this.item.status[0]	== this.statusCodes.ENABLED	&& !this.checked){
				this.clickCheckBox();
			}
			var childNodes = this.getChildren();
			for( var i=0,iLength=childNodes.length ; i<iLength ; i++ )	{
				childNodes[i].checkAll();
			}
		},

		uncheckAll:	function() {
			if (this.item.status[0]	== this.statusCodes.ENABLED	&& this.checked){
				this.clickCheckBox();
			}
			var childNodes = this.getChildren();
			for( var i=0,iLength=childNodes.length ; i<iLength ; i++ )	{
				childNodes[i].uncheckAll();
			}
		}
	}
);
