/* ---------------------------------------------------------------------------------------------------
	 editor_plugin.js $Revision: 1.3 $
	 ---------------------------------------------------------------------------------------------------
	 required global variables:
	 epages.vars.BaseUrl  -> base url of request
	 epages.vars.ObjectId -> current object identifier (to save flash config)
	 --------------------------------------------------------------------------------------------------- */
(function() {
	// Load plugin specific language pack
	//tinymce.PluginManager.requireLangPack('epcontent');
	tinymce.create('tinymce.plugins.EpContent', {

		init: function(ed, url) {

			// Register command for use of "execCommand(...)";
			ed.addCommand('mceEPContent', function(ui, value) {
				dojo.require('epages.cartridges.de_epages.design.mcecontent');
				var MceContent = new epages.cartridges.de_epages.design.MceContent();
				MceContent.mceOpenWindow(ed.editorId, ui);
			});

			// Add a node change handler
			ed.onNodeChange.add(function(ed, cm, e, c, o) {
				if (e == null) return;
				if (c) {
					//if isCollapsed true show all three buttons
					cm.setActive('Flash', false);
					cm.setActive('Gadget', false);
					cm.setActive('Rss', false);
					cm.setDisabled('Flash', false);
					cm.setDisabled('Gadget', false);
					cm.setDisabled('Rss', false);
				}
				else {
					//check if a gadget/flash/rss is selected and active button
					var group = e.getAttribute('ep_group');
					if (e.nodeName.toUpperCase() == "IMG" &&
							tinymce.DOM.getAttrib(e, 'class').indexOf('epItemContent') != -1 &&
							group != null) {
								//check if selected is an FLash/Gadget/RSS
						$A(['Flash', 'Gadget', 'Rss']).each(function(el) {
							if (el == group) {
								cm.setActive(el, true);
								cm.setDisabled(el, false);
							} else {
								cm.setActive(el, false);
								cm.setDisabled(el, true);
							}
						});
					} else if(e.nodeName.toUpperCase() == "IMG"){
						//if it is no Flash/Gadget/RSS disable all three buttons
						cm.setActive('Flash', false);
						cm.setActive('Gadget', false);
						cm.setActive('Rss', false);
						cm.setDisabled('Flash', true);
						cm.setDisabled('Gadget', true);
						cm.setDisabled('Rss', true);
					}
					else{
						cm.setActive('Flash', false);
						cm.setActive('Gadget', false);
						cm.setActive('Rss', false);
						cm.setDisabled('Flash', false);
						cm.setDisabled('Gadget', false);
						cm.setDisabled('Rss', false);
					}
				}
				return true;
			});

			ed.onInit.add(function(editor) {
				ed.dom.loadCSS(url + "/css/content.css");
			});

			ed.onMouseUp.add(function(editor,e){
				//reset width and height of gadget
				window.setTimeout(function(){
					var selectedNode = editor.selection.getNode();
				if(dojo.hasClass(selectedNode,'epItemContent')&& selectedNode.getAttribute('ep_info')){
					var mceStyle = selectedNode.getAttribute('ep_style');
					var originalHeight = mceStyle.match(/height:(.*?);/);
					if(originalHeight != null && originalHeight[1] && originalHeight[1] != ''){
						var originalHeightPercentage = originalHeight[1].match(/%/);
						if(originalHeightPercentage){
							originalHeight = selectedNode.parentNode.offsetHeight-5;
						}
						else{
							originalHeight = parseInt(originalHeight[1]);
						}
					}

					var originalWidth = mceStyle.match(/width:(.*?);/);
					if(originalWidth != null && originalWidth[1] && originalWidth[1] != ''){
						originalWidthPercentage = originalWidth[1].match(/%/);
						if(originalWidthPercentage){
							originalWidth = selectedNode.parentNode.offsetWidth-5;
						}
						else{
							originalWidth = parseInt(originalWidth[1]);
						}
					}
					var currentHeight = selectedNode.getAttribute('height');
					var currentWidth = selectedNode.getAttribute('width');
					if(originalHeight != currentHeight || originalWidth != currentWidth){
						selectedNode.setAttribute('height',originalHeight);
						selectedNode.setAttribute('width',originalWidth);
						//editor.selection.setNode(selectedNode);
					}
				}
			},1,editor,e);
			});
		},

		getInfo: function() {
			return {
				longname : 'ePages Content Plugin',
				author : 'ePages GmbH',
				authorurl : 'http://www.epages.de',
				infourl : '',
				version : majorVersion + "." + tinyMCE.minorVersion
			};
		},

		createControl: function(controlName, controlManager) {
			switch (controlName) {
				case "Content":
					//var cmd = 'tinyMCE.execInstanceCommand(\'{$editor_id}\',\'mceContent\');return false;';
					//return '<a href="javascript:' + cmd + '" onclick="' + cmd + '" target="_self" onmousedown="return false;"><img id="{$editor_id}_Content" src="{$pluginurl}/images/content.gif" title="{$lang_Content_desc}" width="20" height="20" class="mceButtonNormal" /></a>';
					return "abcdefgh";
				}
			return "";
		}

	});

	// Register plugin
	tinymce.PluginManager.add('epcontent', tinymce.plugins.EpContent);
})();
