#-----BEGIN PGP SIGNATURE-----
#Version: GnuPG v1.2.6 (GNU/Linux)
#Comment: 2008-11-24 ePages Software GmbH (release key) <rnd@epages.de>
#
#iD8DBQBOHbi/l5jMabHSgyARAtXEAJ9zueT2Ynt3eAl/DC7dT18GNWOZ6QCfTn2s
#kC4iFzBayoVZghqxxuxSQWk=
#=X+2W
#-----END PGP SIGNATURE-----
#line 1
package DE_EPAGES::WebService::Samples::Server::AsyncExampleService;
use base DE_EPAGES::WebService::API::WebService::BaseAsyncService;

use strict;

use DE_EPAGES::Core::API::Error qw ( Error );

#ERRORDEFINITION
sub ErrorDefinition { return {
    'LIMIT_REACHED' => "limit reached",
}}
#ERRORDEFINITION END

sub startLongTimeFunc {
    my $self = shift;
    my ( $CountParam ) = @_;
    $CountParam = 1 unless $CountParam;

    my $WSession = $self->newSession();
    $WSession->setSub( $self, \&doLongTimeFunc, [$CountParam] );

    return $WSession->alias;
}

sub doLongTimeFunc {
    my $self = shift;
    my ( $Count, $WSession ) = @_;

    for my $i (1..$Count) {
        sleep(5);
        $WSession->status($i,"updated status to $i") if $WSession;
        Error('LIMIT_REACHED') if $i>10;
    }

    return 1;
}

sub CheckPermission {
    shift;
    my ($WebService, $Method, $Login, $Password) = @_;

    return 1 if $Method->get('Alias') ne 'protected';
    return 0 unless defined $Login && defined $Password;
    return 1 if $Login eq 'wolo' && $Password eq 'geheim';
    return 0;
}


1;
