@echo off

rem ---------------------------------------------------------------------------
rem
rem  Function      :       adds/removes epages5 scheduler tasks to/from schtask
rem
rem  Project       :       epages 5
rem
rem  Copyright     :       epages Software GmbH 2006
rem
rem  Version       :       Mon Aug 14 10:19:15 2006
rem
rem ---------------------------------------------------------------------------

rem #########################################################################
rem  environment
rem #########################################################################

if "%1" == "" GOTO USAGE
if "%1" == "show" GOTO SKIP_USAGE
if "%1" == "start" GOTO SKIP_USAGE
if "%1" == "stop" GOTO SKIP_USAGE
if "%1" == "restart" GOTO SKIP_USAGE
GOTO USAGE
:SKIP_USAGE

if not "%DEBUG_CRON%" == "" if not "%DEBUG_CRON%" == "0" set DEBUG_CRON=1

rem host name
set HOST=%COMPUTERNAME%
if not "%HOST%" == "" goto KNOWN_HOSTNAME
for /F %%i in ('hostname') do set HOST=%%i
:KNOWN_HOSTNAME

rem name of the logfile
set LOG_DIR=%EPAGES_LOG%\Scheduler
if not exist %EPAGES_LOG%\Scheduler mkdir %EPAGES_LOG%\Scheduler
if "%DEBUG_CRON%" == "1" echo epagesScheduler.cmd: set LOG_FILE=%LOG_DIR%\%HOST%.epagesScheduler
set LOG_FILE=%LOG_DIR%\%HOST%.epagesScheduler

rem path of the perl executable
if "%DEBUG_CRON%" == "1" echo epagesScheduler.cmd: set PERL=%EPAGES_PERL%\bin\perl.exe
set PERL=%EPAGES_PERL%\bin\perl.exe
%PERL% -MDE_EPAGES::Core::API::IniConfig -e ";"
if not %errorlevel% == 0 goto END
rem delete this line and the script will not work anymore

rem scheduler to use
set SCHEDULER=
at /? > nul 2>&1
if %errorlevel% == 0 set SCHEDULER=At
schtasks /? > nul 2>&1
if %errorlevel% == 0 set SCHEDULER=Schtasks
if "%SCHEDULER%" == "" GOTO NO_SCHEDULER

if "%DEBUG_CRON%" == "1" echo epagesScheduler.cmd: set SCHED_SCRIPT=%EPAGES%/bin/epagesScheduler.pl
set SCHED_SCRIPT=%EPAGES%/bin/epagesScheduler.pl

if "%1" == "show" GOTO SHOW

rem #########################################################################
rem stop
rem #########################################################################

set STOP=
if "%1" == "stop" set STOP=1

type nul > %LOG_FILE%.log
type nul > %LOG_FILE%.empty

rem show current scheduled tasks
if "%DEBUG_CRON%" == "1" if "%SCHEDULER%" == "Schtasks" echo epagesScheduler.cmd: schtasks /query /fo CSV /v ^> %LOG_FILE%.at
if "%DEBUG_CRON%" == "1" if not "%SCHEDULER%" == "Schtasks" echo epagesScheduler.cmd: at ^> %LOG_FILE%.at
if "%SCHEDULER%" == "Schtasks" ( schtasks /query /fo CSV /v > %LOG_FILE%.at ) else at > %LOG_FILE%.at
if "%DEBUG_CRON%" == "1" echo ^< %LOG_FILE%.at ^>
if "%DEBUG_CRON%" == "1" type %LOG_FILE%.at
if "%DEBUG_CRON%" == "1" echo ^</ %LOG_FILE%.at ^>
if "%DEBUG_CRON%" == "1" echo.

rem run script
if "%DEBUG_CRON%" == "1" echo %PERL% %SCHED_SCRIPT% del %SCHEDULER% %LOG_FILE%.at ^> %LOG_FILE%.bat 2^> %LOG_FILE%.log
%PERL% %SCHED_SCRIPT% del %SCHEDULER% %LOG_FILE%.at > %LOG_FILE%.bat 2> %LOG_FILE%.log
if "%DEBUG_CRON%" == "1" echo ^< %LOG_FILE%.log ^>
if "%DEBUG_CRON%" == "1" type %LOG_FILE%.log
if "%DEBUG_CRON%" == "1" echo ^</ %LOG_FILE%.log ^>
if "%DEBUG_CRON%" == "1" echo.
if "%DEBUG_CRON%" == "1" echo ^< %LOG_FILE%.bat ^>
if "%DEBUG_CRON%" == "1" type %LOG_FILE%.bat
if "%DEBUG_CRON%" == "1" echo ^</ %LOG_FILE%.bat ^>
if "%DEBUG_CRON%" == "1" echo.

rem if script has error output goto ERROR_OUT
fc /b %LOG_FILE%.log %LOG_FILE%.empty > nul 2>&1
if not %errorlevel% == 0 goto ERROR_OUT
rem delete this line and the script will not work anymore

rem if created bat script is not empty, execute it
fc /b %LOG_FILE%.bat %LOG_FILE%.empty > nul 2>&1
if not %errorlevel% == 0 call %LOG_FILE%.bat

if "%STOP%" == "1" goto END

rem #########################################################################
rem start
rem #########################################################################

type nul > %LOG_FILE%.log
type nul > %LOG_FILE%.empty

rem run script
if "%DEBUG_CRON%" == "1" echo %PERL% %SCHED_SCRIPT% add %SCHEDULER% ^> %LOG_FILE%.bat 2^> %LOG_FILE%.log
%PERL% %SCHED_SCRIPT% add %SCHEDULER% > %LOG_FILE%.bat 2> %LOG_FILE%.log

if "%DEBUG_CRON%" == "1" echo ^< %LOG_FILE%.log ^>
if "%DEBUG_CRON%" == "1" type %LOG_FILE%.log
if "%DEBUG_CRON%" == "1" echo ^</ %LOG_FILE%.log ^>
if "%DEBUG_CRON%" == "1" echo.
if "%DEBUG_CRON%" == "1" echo ^< %LOG_FILE%.bat ^>
if "%DEBUG_CRON%" == "1" type %LOG_FILE%.bat
if "%DEBUG_CRON%" == "1" echo ^</ %LOG_FILE%.bat ^>
if "%DEBUG_CRON%" == "1" echo.

rem if script has error output goto ERROR_OUT
fc /b %LOG_FILE%.log %LOG_FILE%.empty > nul 2>&1
if not %errorlevel% == 0 goto ERROR_OUT
rem delete this line and the script will not work anymore

rem if created bat script is not empty, execute it
fc /b %LOG_FILE%.bat %LOG_FILE%.empty > nul 2>&1
if not %errorlevel% == 0 call %LOG_FILE%.bat

rem #########################################################################
rem show
rem #########################################################################

:SHOW
if "%SCHEDULER%" == "Schtasks" ( call schtasks ) else ( call at )
goto END

rem #########################################################################
rem :USAGE
rem #########################################################################

:USAGE
echo Usage: %0 {start^|stop^|restart^|show}
goto END

rem #########################################################################
rem :NO_SCHEDULER
rem #########################################################################

:NO_SCHEDULER
schtasks /? > nul
at /? > nul
goto END

rem #########################################################################
rem :ERROR_OUT
rem #########################################################################

:ERROR_OUT
type %LOG_FILE%.log

rem #########################################################################
rem :END
rem #########################################################################

:END
if exist %LOG_FILE%.at del /F /Q %LOG_FILE%.at
if exist %LOG_FILE%.bat del /F /Q %LOG_FILE%.bat
if exist %LOG_FILE%.log del /F /Q %LOG_FILE%.log
if exist %LOG_FILE%.empty del /F /Q %LOG_FILE%.empty
