@echo off
for /F "delims=" %%i in ('cd') do set cwd=%%i
set perl_exe=
set de_epages=
set start_epages=
set result=0

rem -------------------------------------------------------
rem CHECK ARGUMENTS AND INSTALLATION
rem -------------------------------------------------------

set execute=
if "%1" == "-update" set execute=update
if "%1" == "-restore" set execute=restore
if "%execute%" == "" goto usage

if "%1" == "-update" set target=5.12.3
if "%1" == "-restore" set target=5.10.0

set perl5123_dir=epages-perl-5.12.3
set perl5123_zip=%perl5123_dir%.zip
set perl5123_url=ftp://epages-software.de/pub/products/epages6/current/%perl5123_zip%
if not "%2" == "" set perl5123_url=%2

if exist "%EPAGES_PERL%\bin\perl5.10.0.exe" set perl_exe="%EPAGES_PERL%\bin\perl5.10.0.exe"
if exist "%EPAGES_PERL%\bin\perl5.12.3.exe" set perl_exe="%EPAGES_PERL%\bin\perl5.12.3.exe"
if exist "%EPAGES_CARTRIDGES%\DE_EPAGES" set de_epages=1

if "%perl_exe%" == "" (
  echo Stop update: No Perl executable found, file^(s^) missing:
  echo %EPAGES_PERL%\bin\perl5.10.0.exe
  echo %EPAGES_PERL%\bin\perl5.12.3.exe
  exit /B 0
)

if "%perl_exe%" == "%EPAGES_PERL%\bin\perl%target%.exe" (
  echo Stop update: Perl already %execute%d, file found:
  echo %EPAGES_PERL%\bin\perl%target%.exe
  exit /B 1
)

if not exist Cartridges-perl5.12.3.txt (
  %EPAGES:~0,2% & cd %EPAGES% || exit /B 1
  echo perl -MLWP::Simple -e "getstore('%perl5123_url%','%epages%\%perl5123_zip%')"
  perl -MLWP::Simple -e "getstore($ENV{perl5123_url},$ENV{perl5123_zip})"
  echo unzip -qo %epages%\%perl5123_zip%
  unzip -qo %perl5123_zip% || goto failure
  cd %perl5123_dir% || goto failure
)

for /F "delims=" %%i in ('cd') do set cwd=%%i
cd %EPAGES_PERL% || exit /B 1
for /F "delims=" %%i in ('cd') do set cwd2=%%i
cd %cwd%

if "%cwd%" == "%cwd2%" (
  echo Stop update: Current working directory "%cwd%" not on ePages Perl drive "%EPAGES_PERL:~0,2%"
  exit /B 1
)

if not exist Cartridges-perl5.12.3.txt (
  echo Stop update, file missing: Cartridges-perl5.12.3.txt
  exit /B 1
)

if not exist Cartridges-perl5.12.3.zip (
  echo Stop update, file missing: Cartridges-perl5.12.3.zip
  exit /B 1
)

if not exist Perl-5.12.3.zip (
  echo Stop update, file missing: Perl-5.12.3.zip
  exit /B 1
)

if not "%de_epages%" == "" (
  cd "%EPAGES_CARTRIDGES%" || set de_epages=
)
cd %cwd%

rem -------------------------------------------------------
rem STOP EPAGES
rem -------------------------------------------------------

echo net stop EPAGES
net stop EPAGES && set start_epages=1

if "%execute%" == "restore" goto restore

rem -------------------------------------------------------
rem UPDATE PERL
rem -------------------------------------------------------

if exist "%EPAGES_CONFIG%\log4perl.conf" if not exist "%EPAGES_CONFIG%\log4perl.conf".perl5.10.0 (
  echo edit: %EPAGES_CONFIG%\log4perl.conf
  copy "%EPAGES_CONFIG%\log4perl.conf" "%EPAGES_CONFIG%\log4perl.conf".perl5.10.0 || goto failure
  sed "/cspec\.R/d" "%EPAGES_CONFIG%\log4perl.conf".perl5.10.0 > "%EPAGES_CONFIG%\log4perl.conf" || goto failure
)

if "%de_epages%" == "" goto update_perl

cd "%EPAGES_CARTRIDGES%"

echo zip -q -r Cartridges-perl5.10.0.zip
for /F "delims=" %%i in ('type %cwd%\Cartridges-perl5.12.3.txt') do zip -q -r Cartridges-perl5.10.0.zip %%i || goto failure

echo unzip -qo Cartridges-perl5.12.3.zip
unzip -qo %cwd%\Cartridges-perl5.12.3.zip || goto restore_cartridges

cd %cwd%

:update_perl

echo move "%EPAGES_PERL%" "%EPAGES_PERL%-5.10.0"
move "%EPAGES_PERL%" "%EPAGES_PERL%-5.10.0" || goto failure

mkdir "%EPAGES_PERL%" || goto failure
cd "%EPAGES_PERL%" || goto failure
echo unzip -q Perl-5.12.3.zip
unzip -q %cwd%\Perl-5.12.3.zip || goto restore_perl

echo %EPAGES_PERL%|sed "s,\\,\\\\,g">EPAGES_PERL.txt
for /F "delims=" %%i in ('type EPAGES_PERL.txt') do set epages_perl_qtd=%%i

set file=lib\Config_heavy.pl
echo edit: Perl\%file%
sed "s,%%PERLDIR%%,%epages_perl_qtd%,g" %file%.ept > %file% || goto restore_perl

set file=site\lib\ppm.xml
echo edit: Perl\%file%
sed "s,%%PERLDIR%%,%epages_perl_qtd%,g" %file%.ept > %file% || goto restore_perl

echo %EPAGES_PERL%|sed "s,\\,\\\\\\\\,g">EPAGES_PERL.txt
for /F "delims=" %%i in ('type EPAGES_PERL.txt') do set epages_perl_qtd=%%i

set file=lib\Config.pm
echo edit: Perl\%file%
sed "s,%%PERLDIR%%,%epages_perl_qtd%,g" %file%.ept > %file% || goto restore_perl

set file=lib\CORE\config.h
echo edit: Perl\%file%
sed "s,%%PERLDIR%%,%epages_perl_qtd%,g" %file%.ept > %file% || goto restore_perl

del EPAGES_PERL.txt

goto success

rem -------------------------------------------------------
rem RESTORE PERL
rem -------------------------------------------------------

:restore

:restore_perl

cd %cwd%

if exist "%EPAGES_PERL%-5.10.0" (
  echo move "%EPAGES_PERL%" "%EPAGES_PERL%-%DATE:~8,8%%DATE:~3,2%%DATE:~0,2%-%TIME:~0,2%%TIME:~3,2%"
  move "%EPAGES_PERL%" "%EPAGES_PERL%-%DATE:~8,8%%DATE:~3,2%%DATE:~0,2%-%TIME:~0,2%%TIME:~3,2%" || goto failure
  echo move "%EPAGES_PERL%-5.10.0" "%EPAGES_PERL%"
  move "%EPAGES_PERL%-5.10.0" "%EPAGES_PERL%" || goto failure
)

:restore_cartridges

if not "%de_epages%" == "" if exist "%EPAGES_CARTRIDGES"\Cartridges-perl5.10.0.zip (
  cd "%EPAGES_CARTRIDGES%"
  echo unzip -q Cartridges-perl5.10.0.zip
  unzip -q %cwd%\Cartridges-perl5.10.0.zip || goto failure
)

:success
if not "%start_epages%" == "" (
  echo net start EPAGES
  net start EPAGES
)
cd %cwd%
exit /B 0

:usage
echo Usage:
echo   %0 -update
echo   %0 -restore

:failure
cd %cwd%
exit /B 1
